"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readIdl = exports.getIdlPath = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
function getIdlPath(config) {
    const { idlDir, programName } = config;
    return path_1.default.join(idlDir, `${programName}.json`);
}
exports.getIdlPath = getIdlPath;
function readIdl(config) {
    const idlPath = getIdlPath(config);
    return JSON.parse((0, fs_1.readFileSync)(idlPath, 'utf-8'));
}
exports.readIdl = readIdl;
//# sourceMappingURL=idlFile.js.map